export interface Point {
    x: number;
    y: number;
}
export interface GlobalPosition {
    innerRadius: any;
    innerRadiusBorder: any;
    innerTextRadius: any;
    middleRadius: any;
    middleTextRadius: any;
    middleRadiusBorder: any;
    outerRadius: any;
    outerRadiusBorder: any;
    outerTextRadius: any;
    textSize: any;
    outerTextSize: any;
    levels: any;
    center: Point;
}
export declare function getMaxDepth(items: any, currentLevel?: number): number;
export declare function getGlobalPositions({ size, maxScore, items }: {
    size: any;
    maxScore: any;
    items: any;
}): {
    textSize: number;
    outerTextSize: number;
    levels: any[];
    innerRadius: number;
    innerRadiusBorder: any;
    innerTextRadius: any;
    middleRadius: number;
    middleTextRadius: any;
    middleRadiusBorder: any;
    outerRadius: number;
    outerRadiusBorder: any;
    outerTextRadius: any;
    center: Point;
};
export declare function calculatePointBetween({ centerX, centerY, startAngle, middleAngle, endAngle, radius }: {
    centerX: any;
    centerY: any;
    startAngle: any;
    middleAngle: any;
    endAngle: any;
    radius: any;
}): {
    start: {
        x: any;
        y: any;
    };
    middle: {
        x: any;
        y: any;
    };
    end: {
        x: any;
        y: any;
    };
};
