import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { GlobalPosition } from './utils/positions';
import { AngularSvgElement } from './utils/models';
export declare class AngularSunburstRadarChartComponent implements OnInit, OnChanges {
    constructor();
    componentDisplayed: boolean;
    showToolTip: boolean;
    tooltipTopInPx: string;
    tooltipLeftInPx: string;
    tooltipText: string;
    svgId: any;
    svgGroupId: any;
    svgHandler: any;
    currentRotationAngle: number;
    rotationPoint: any;
    svgCursor: string;
    items: any;
    options: any;
    size: number;
    maxScore: number;
    legendAxisLinePosition: number;
    animateChart: any;
    splitBasedOnChildren: any;
    viewBox: any;
    initialized: boolean;
    innerCircleRadius: any;
    innerBorderHeight: number;
    outerBorderHeight: number;
    elements: AngularSvgElement[];
    globalPosition: GlobalPosition;
    hasChildren: boolean;
    chartBorder: any;
    outerBorderCircleRef: string;
    error: any;
    hasError: boolean;
    startRotation: boolean;
    showError(msg: any): void;
    hideError(): void;
    appendToSvg(element: AngularSvgElement): void;
    ngOnChanges(changes: SimpleChanges): void;
    modifyOnFirstChange(isFirstChange: boolean): void;
    ngOnInit(): void;
    initialize(): void;
    getLegendAxisIndex(angles: any[]): number;
    hasValidParameters(): boolean;
    drawOuterBackgroundWithMiddle({ item, startAngle, middleAngle, endAngle }: {
        item: any;
        startAngle: any;
        middleAngle: any;
        endAngle: any;
    }): AngularSvgElement;
    drawOnLevel({ items, totalDegrees, childAngels, color }: {
        items: any;
        totalDegrees: any;
        childAngels: any;
        color: any;
    }): any[];
    getUniqueCode(): string;
    drawInnerBorders(): void;
    addSmallCirclesAtCenter(centerX: number, centerY: number): void;
    drawLegends(degreeToBeDrawn: any): void;
    addArcText({ arcForTextId, radius, startAngle, fontSize, endAngle, perAngle, item }: {
        arcForTextId: any;
        radius: any;
        startAngle: any;
        fontSize: any;
        endAngle: any;
        perAngle: any;
        item: any;
    }): any[];
    drawLayout(): void;
    hideTooltip(): void;
    showTooltipText($event: any, text: any): void;
    onOutOfComponent(): void;
    stopRotate(): void;
    startRotate($event: any): void;
    rotateChart($event: any): void;
}
